<?php   
 /*
     Example1 : A simple line chart
  */

$data = array(
    '2008-12-01' => '232',
    '2008-11-01' => '238',
    '2008-10-01' => '231',
    '2008-09-01' => '274',
    '2008-08-03' => '321',
    '2008-07-01' => '247',
    '2008-06-01' => '250',
    '2008-05-01' => '215',
    '2008-04-01' => '282',
    '2008-03-02' => '346',
    '2008-02-03' => '359',
    '2008-01-03' => '339',
    '2007-12-03' => '235',
    '2007-11-02' => '226',
    '2007-10-02' => '224',
    '2007-09-03' => '298',
    '2007-08-02' => '237',
    '2007-07-02' => '191',
    '2007-06-04' => '216',
    '2007-05-02' => '180',
    '2007-04-02' => '224',
    '2007-03-02' => '248',
    '2007-02-02' => '356',
    '2007-01-04' => '265',
    '2006-12-04' => '219',
    '2006-11-02' => '200',
    '2006-10-02' => '195',
    '2006-09-04' => '299',
    '2006-08-02' => '236',
    '2006-07-03' => '229',
    '2006-06-02' => '150',
    '2006-05-02' => '97',
    '2006-04-03' => '174',
    '2006-03-02' => '226',
    '2006-02-02' => '',
    '2006-01-02' => '',
);

$data2 = array(
    '2008-12-01' => '5380',
    '2008-11-01' => '5643',
    '2008-10-01' => '5504',
    '2008-09-01' => '6238',
    '2008-08-03' => '7142',
    '2008-07-01' => '5764',
    '2008-06-01' => '5787',
    '2008-05-01' => '5010',
    '2008-04-01' => '6368',
    '2008-03-02' => '7267',
    '2008-02-03' => '7732',
    '2008-01-03' => '7569',
    '2007-12-03' => '5384',
    '2007-11-02' => '5370',
    '2007-10-02' => '5108',
    '2007-09-03' => '6258',
    '2007-08-02' => '5151',
    '2007-07-02' => '4276',
    '2007-06-04' => '5115',
    '2007-05-02' => '4345',
    '2007-04-02' => '5286',
    '2007-03-02' => '5835',
    '2007-02-02' => '8234',
    '2007-01-04' => '6202',
    '2006-12-04' => '5147',
    '2006-11-02' => '4743',
    '2006-10-02' => '4636',
    '2006-09-04' => '6784',
    '2006-08-02' => '5458',
    '2006-07-03' => '5311',
    '2006-06-02' => '3649',
    '2006-05-02' => '2332',
    '2006-04-03' => '3746',
    '2006-03-02' => '4823',
    '2006-02-02' => '',
    '2006-01-02' => '',
);

ksort($data);
ksort($data2);

//$data = $data2;

// Standard inclusions      
include("pChart/pData.class");   
include("pChart/pChart.class");   

$font_path = 'Fonts/mplus-1c-light.ttf';
$font_path2 = 'Fonts/mplus-1c-black.ttf';

// Dataset definition    
$DataSet = new pData();   

//$DataSet->ImportFromCSV("Sample/bulkdata.csv",",",array(1,2,3),FALSE,0);   

foreach ($data as $key => $value) {
    if (strpos($key, '2008') !== false) {
        $list = explode('-', $key);
        //$key = (int)$list[1];
        $DataSet->AddPoint($value, 2008, date('M', strtotime($key)));
    } else if (strpos($key, '2007') !== false) {
        $list = explode('-', $key);
        //$key = (int)$list[1];
        $DataSet->AddPoint($value, 2007, date('M', strtotime($key)));
    } else {
        $list = explode('-', $key);
        //$key = (int)$list[1];
        $DataSet->AddPoint($value, 2006, date('M', strtotime($key)));
    }
}

$DataSet->AddAllSeries();   

$DataSet->SetAbsciseLabelSerie();   

$DataSet->SetSerieName("2008年","2008");   
$DataSet->SetSerieName("2007年","2007");   
$DataSet->SetSerieName("2006年","2006");   

//$DataSet->SetYAxisName("Average age");
$DataSet->SetYAxisUnit("kWh");

$DataSet2 = new pData();
foreach ($data2 as $key => $value) {
    if (strpos($key, '2008') !== false) {
        $list = explode('-', $key);
        //$key = (int)$list[1];
        $DataSet2->AddPoint($value, 2008, date('M', strtotime($key)));
    } else if (strpos($key, '2007') !== false) {
        $list = explode('-', $key);
        //$key = (int)$list[1];
        $DataSet2->AddPoint($value, 2007, date('M', strtotime($key)));
    } else {
        $list = explode('-', $key);
        //$key = (int)$list[1];
        $DataSet2->AddPoint($value, 2006, date('M', strtotime($key)));
    }
}

$DataSet2->AddAllSeries();   

$DataSet2->SetAbsciseLabelSerie();   

$DataSet2->SetSerieName("2008","2008");   
$DataSet2->SetSerieName("2007","2007");   
$DataSet2->SetSerieName("2006","2006");   

//$DataSet2->SetYAxisName("Average age");
$DataSet2->SetYAxisUnit("円");


// Initialise the graph   
$Test = new pChart(640,330);
$Test->setFontProperties($font_path2, 8);   

// グラフの中身
$Test->setGraphArea(75,30,590,290);   

// 内側の背景
$Test->drawFilledRoundedRectangle(
    7,
    7,
    633,
    323,
    5,
    240,
    240,
    240
);

// 外側の背景
$Test->drawRoundedRectangle(5,5,635,325,5,230,230,230);   

$Test->drawGraphArea(255,255,255,TRUE);

//$Test->setFontProperties($font_path, 7);   
$Test->drawRightScale(
    $DataSet->GetData(),
    $DataSet->GetDataDescription(),
    SCALE_NORMAL,
    120,120,120,TRUE,0,2
);   

$Test->drawGrid(4,TRUE,230,230,230,50);

// Draw the 0 line   
$Test->setFontProperties($font_path, 8);   
$Test->drawTreshold(0,143,55,72,TRUE,TRUE);   

// Draw the line graph
$Test->drawBarGraph($DataSet->GetData(),$DataSet->GetDataDescription(),TRUE);   

$Test->clearScale();

$Test->setFontProperties($font_path2, 8);   
$Test->drawScale(
    $DataSet2->GetData(),
    $DataSet2->GetDataDescription(),
    SCALE_NORMAL,
    120,120,120,TRUE,0,2
);


//$Test->drawGrid(4,TRUE,230,230,230,50);

$Test->setShadowProperties(3,3,0,0,0,30,4);

$Test->drawLineGraph($DataSet2->GetData(),$DataSet2->GetDataDescription());   
$Test->clearShadow();
$Test->drawPlotGraph($DataSet2->GetData(),$DataSet2->GetDataDescription(),3,2,255,255,255);   

//$Test->clearShadow();

$Test->setFontProperties($font_path, 8);   
$Test->setLabel(
    $DataSet2->GetData(),
    $DataSet2->GetDataDescription(),
    "2007","Jul","深夜割りにプラン変更",255,255,255);

// Finish the graph   
$Test->setFontProperties($font_path, 8);   
$Test->drawLegend(95,215,$DataSet->GetDataDescription(),255,255,255);   
$Test->setFontProperties($font_path, 10);   
$Test->drawTitle(60, 22, "我が家の電気代と電力消費量 2006 -> 2008", 50, 50, 50, 585);   
//$Test->Render("example1.png");
header('Content-type: image/png');
$Test->Render();
?>
