<?php   
include_once "pChart/pData.class";
include_once "pChart/pChart.class";

ini_set('max_execution_time', 2);

$data = array(
    '17' => '20', '18' => '28',
    '19' => '24', '20' => '29',
    '21' => '27', '22' => '24',
    '23' => '28',
);

$pdata = new pData();   

foreach ($data as $key => $value) {
    $pdata->AddPoint($value, 200905, $key);
}

$pdata->AddAllSeries();   
$pdata->SetYAxisUnit("C");
$pdata->SetXAxisUnit("d");

//$g_width = 335; $g_height = 225;
$g_width = 470; $g_height = 250;
$font_path = 'Fonts/tahoma.ttf';

$pchart = new pChart($g_width, $g_height);
$pchart->setGraphArea(0 + 40, 0 + 10, $g_width - 10, $g_height - 40);   

//$pchart->drawBackGround(200, 200, 200);
$pchart->drawGraphAreaGradient(220, 220, 220, 50, TARGET_BACKGROUND);
$pchart->drawGraphAreaGradient(250, 250, 250, 50);
//$pchart->drawGraphAreaGradient(240, 240, 240, 50);

$pchart->setFontProperties($font_path, 8);   

$pchart->drawScale(
    $pdata->GetData(),
    $pdata->GetDataDescription(),
    SCALE_NORMAL,
    0,0,0
);

$pchart->setColorPalette(0, 0, 0, 0);

$pchart->drawGrid(4, FALSE, 0, 0, 0);
$pchart->setShadowProperties(3,3,0,0,0,30);
$pchart->drawLineGraph(
    $pdata->GetData(),
    $pdata->GetDataDescription()
);
$pchart->clearShadow();
$pchart->drawPlotGraph(
    $pdata->GetData(),
    $pdata->GetDataDescription()
);   
//$pchart->drawPlotGraph($pdata->GetData(),$pdata->GetDataDescription(),3,2,255,255,255);   

$pchart->Stroke();
?>
