<?php
/**
 *
 *
 */

// Standard inclusions     
include("pChart/pData.class");  
include("pChart/pChart.class");  

// Dataset definition   
$DataSet = new pData;  
$DataSet->AddPoint(array(10,30,20,5),"Serie1");  
$DataSet->AddPoint(array("食べる","ねる","遊ぶ","仕事"),"Serie2");  
$DataSet->AddAllSeries();  
$DataSet->SetAbsciseLabelSerie("Serie2");  

// Initialise the graph  
$Test = new pChart(380,200);  
$Test->drawFilledRoundedRectangle(7,7,373,193,5,240,240,240);  
$Test->drawRoundedRectangle(5,5,375,195,5,230,230,230);  

// Draw the pie chart  
$font_path = 'Fonts/mplus-1c-light.ttf';
$Test->setFontProperties($font_path, 8);  
$Test->drawPieGraph($DataSet->GetData(),$DataSet->GetDataDescription(),150,90,110,PIE_PERCENTAGE,TRUE,50,20,5);  
$Test->drawPieLegend(310,15,$DataSet->GetData(),$DataSet->GetDataDescription(),250,250,250);  

$Test->Stroke();  
?>
